> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhikoo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sources

> List suggested sources for the target website, ordered by citation count desc.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/public/source-intelligence/sources
openapi: 3.1.0
info:
  title: Hikoo REST API
  description: >-
    Programmatic access to your Hikoo data: citations, prompts, competitors,
    audits, health and more. Authenticate with a personal API key
    (`Authorization: Bearer <key>`) created from the dashboard settings.
  version: 1.0.0
servers:
  - url: https://api.tryhikoo.com
security:
  - apiKey: []
paths:
  /api/v1/public/source-intelligence/sources:
    get:
      tags:
        - Source intelligence
      summary: List Sources
      description: >-
        List suggested sources for the target website, ordered by citation count
        desc.
      operationId: list_sources_api_v1_public_source_intelligence_sources_get
      parameters:
        - name: source_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: review_platform | media | blog | directory | forum | wiki | social
            title: Source Type
          description: review_platform | media | blog | directory | forum | wiki | social
        - name: platform
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: chatgpt | perplexity | gemini | claude
            title: Platform
          description: chatgpt | perplexity | gemini | claude
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search by name or domain
            title: Search
          description: Search by name or domain
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: website_id
          in: query
          required: true
          schema:
            type: integer
            description: Target website id
            title: Website Id
          description: Target website id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Bearer <api_key>
            title: Authorization
          description: Bearer <api_key>
        - name: X-MCP-Secret
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Mcp-Secret
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestedSourcesListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SuggestedSourcesListResponse:
      properties:
        sources:
          items:
            $ref: '#/components/schemas/SuggestedSourceResponse'
          type: array
          title: Sources
        total:
          type: integer
          title: Total
      type: object
      required:
        - sources
        - total
      title: SuggestedSourcesListResponse
      description: Response for listing suggested sources.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SuggestedSourceResponse:
      properties:
        id:
          type: integer
          title: Id
        domain:
          type: string
          title: Domain
        name:
          type: string
          title: Name
        source_type:
          type: string
          enum:
            - review_platform
            - media
            - blog
            - directory
            - forum
            - wiki
            - social
          title: Source Type
        citation_count:
          type: integer
          title: Citation Count
        platform_citations:
          anyOf:
            - type: object
            - type: 'null'
          title: Platform Citations
        is_review_site:
          type: boolean
          title: Is Review Site
        from_citation:
          type: boolean
          title: From Citation
        first_seen_at:
          type: string
          format: date-time
          title: First Seen At
        last_seen_at:
          type: string
          format: date-time
          title: Last Seen At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - domain
        - name
        - source_type
        - citation_count
        - is_review_site
        - from_citation
        - first_seen_at
        - last_seen_at
        - created_at
      title: SuggestedSourceResponse
      description: Response schema for a suggested source.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Personal API key created in the dashboard (Settings > API keys).

````